"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEstimated = void 0;
const getMissingPoints_1 = require("../report/getMissingPoints");
const getEstimated = (initiativeIssue, userConfig) => {
    const missingPoints = (0, getMissingPoints_1.getMissingPoints)(initiativeIssue);
    let missingPointsMsg = '';
    if (missingPoints.length > 0) {
        missingPointsMsg = `([${initiativeIssue.metrics.points.missing} missing estimates](${encodeURI(`${userConfig.jira.host}/issues/?jql=key in (${missingPoints.join()}`)}) ))`;
    }
    const totalIssues = initiativeIssue.metrics.issues.total;
    const pointMissing = initiativeIssue.metrics.points.missing;
    const estimated = Math.round(((totalIssues - pointMissing) * 100) / totalIssues);
    if (estimated < 50)
        return `🔴 ${estimated}% ${missingPointsMsg}`;
    if (estimated > 80)
        return `🟢 ${estimated}% ${missingPointsMsg}`;
    return `🟠 ${estimated}% ${missingPointsMsg}`;
};
exports.getEstimated = getEstimated;
