"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getInitiatives = void 0;
const getInitiatives = (teams, initiativesSourceTickets, userConfig) => {
    let initiativesIssues = [];
    for (const team of teams) {
        // Build an array of initiative issues
        const initiatives = team.forecast.find((f) => f.key === 'initiatives');
        if (initiatives !== undefined) {
            for (const issue of initiatives.issues) {
                const sourceIssue = initiativesSourceTickets.find((i) => i.key === issue.key);
                if (sourceIssue !== undefined &&
                    !initiativesIssues.map((i) => i.key).includes(issue.key)) {
                    initiativesIssues.push(Object.assign(Object.assign({}, issue), { jira: sourceIssue }));
                }
            }
        }
    }
    initiativesIssues = initiativesIssues
        .map((i) => {
        let expectedDelivery = 'N/A';
        if (i.jira.fields[userConfig.jira.fields.expectedDelivery] !== null) {
            expectedDelivery =
                i.jira.fields[userConfig.jira.fields.expectedDelivery];
        }
        return Object.assign(Object.assign({}, i), { expectedDelivery });
    })
        .sort((a, b) => a.expectedDelivery > b.expectedDelivery
        ? 1
        : b.expectedDelivery > a.expectedDelivery
            ? -1
            : 0);
    return initiativesIssues;
};
exports.getInitiatives = getInitiatives;
