"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMissingPoints = void 0;
// Returns the list of issues that are missing estimates
const getMissingPoints = (issue) => {
    let missingPoints = [];
    if (issue.children !== undefined && issue.children.length > 0) {
        for (const childIssue of issue.children) {
            const childMissingPoints = (0, exports.getMissingPoints)(childIssue);
            missingPoints = [...missingPoints, ...childMissingPoints];
        }
    }
    else if (issue.children === undefined || issue.children.length === 0) {
        if (issue.metrics.points.missing > 0) {
            missingPoints.push(issue.key);
        }
    }
    return missingPoints;
};
exports.getMissingPoints = getMissingPoints;
