"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOpenSpikes = void 0;
// Returns the list of issues that are missing estimates
const getOpenSpikes = (issue) => {
    let openSpikes = [];
    if (issue.children !== undefined && issue.children.length > 0) {
        for (const childIssue of issue.children) {
            const childopenSpikes = (0, exports.getOpenSpikes)(childIssue);
            openSpikes = [...openSpikes, ...childopenSpikes];
        }
    }
    else if (issue.children === undefined || issue.children.length === 0) {
        if (issue.type.name === "Spike" && issue.status.category !== "Done") {
            openSpikes.push(issue);
        }
    }
    return openSpikes;
};
exports.getOpenSpikes = getOpenSpikes;
