"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStreamsCachePerTeam = void 0;
const fs = require("fs");
const path = require("path");
const loadJsonFile = require("load-json-file");
const teamUtils_1 = require("../misc/teamUtils");
// Get data from streams cache
// This assumes caches have been generated previously generated by the streams command
const getStreamsCachePerTeam = (userConfig, cacheDir) => {
    const teamsCache = [];
    for (const team of userConfig.teams) {
        const teamCacheFile = path.join(cacheDir, `stream-artifacts-${(0, teamUtils_1.getTeamId)(team.name)}.json`);
        if (fs.existsSync(teamCacheFile)) {
            const teamData = loadJsonFile.sync(teamCacheFile);
            teamsCache.push(teamData);
        }
    }
    return teamsCache;
};
exports.getStreamsCachePerTeam = getStreamsCachePerTeam;
