"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEmptyCalendar = void 0;
const date_fns_1 = require("date-fns");
// Build an empty calendar of weeks
const getEmptyCalendar = (from, to) => {
    let dateCursor = (0, date_fns_1.startOfWeek)(from);
    const weeks = [];
    while (dateCursor < to) {
        weeks.push({
            firstDay: dateCursor,
            issues: [],
            metrics: {
                issues: {
                    count: 0,
                    velocity: 0,
                },
                points: {
                    count: 0,
                    velocity: 0,
                },
            },
        });
        dateCursor = (0, date_fns_1.add)(dateCursor, { days: 7 });
    }
    return weeks;
};
exports.getEmptyCalendar = getEmptyCalendar;
