"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStreamsDistribution = void 0;
// Using velocity calculated for streams, add the effort distribution
const getStreamsDistribution = (streams) => {
    return streams.map((s) => {
        return Object.assign(Object.assign({}, s), { weeks: s.weeks.map((w) => {
                // Issues Count
                const totalIssuesVelocity = streams
                    .map((ts) => {
                    const week = ts.weeks.find((tw) => tw.firstDay === w.firstDay);
                    if (week === undefined) {
                        return 0;
                    }
                    return week.metrics.issues.velocity;
                })
                    .reduce((acc, value) => acc + value, 0);
                // Points Count
                const totalPointsVelocity = streams
                    .map((ts) => {
                    const week = ts.weeks.find((tw) => tw.firstDay === w.firstDay);
                    if (week === undefined) {
                        return 0;
                    }
                    return week.metrics.points.velocity;
                })
                    .reduce((acc, value) => acc + value, 0);
                return Object.assign(Object.assign({}, w), { metrics: {
                        issues: Object.assign(Object.assign({}, w.metrics.issues), { totalStreams: totalIssuesVelocity, distribution: w.metrics.issues.velocity === 0
                                ? 0
                                : (w.metrics.issues.velocity * 100) / totalIssuesVelocity }),
                        points: Object.assign(Object.assign({}, w.metrics.points), { totalStreams: totalPointsVelocity, distribution: w.metrics.points.velocity === 0
                                ? 0
                                : (w.metrics.points.velocity * 100) / totalPointsVelocity }),
                    } });
            }) });
    });
};
exports.getStreamsDistribution = getStreamsDistribution;
